#! /usr/bin/env bash
# Args: <arch> <version> <target>

# Find arch
if [[ "$1" == "i386" ]]
then
	ARCH="i386"
elif [[ "$1" == "x86_64" ]]
then
	ARCH="x86_64"
else
	(>&1 echo "Unkown arch $1.") || exit 1
fi

# Find file
if [[ "$2" == *-staging ]]
then
	SOURCE_FILE="Wine-staging-$ARCH.yaml"
	ARG_VERSION="${2::-8}"
else
	SOURCE_FILE="Wine-$ARCH.yaml"
	ARG_VERSION="$2"
fi

CONFIG_DIR="`dirname \"$0\"`" &&
source "$CONFIG_DIR/sources.sh" &&
VERSION=`echo "WINE_$ARG_VERSION" | sed -e "s/\\./_/g" | sed -e "s/-/_/g"` &&
VERSION_SHA256="${VERSION}_SHA256" &&
VERSION_STAGING="${VERSION}_STAGING" &&
VERSION_STAGING_SHA256="${VERSION}_STAGING_SHA256" &&
exec "$CONFIG_DIR/_gen_script.sh" "$SOURCE_FILE" "$3" "$2" "${!VERSION}" "${!VERSION_SHA256}" "${!VERSION_STAGING}" "${!VERSION_STAGING_SHA256}"
